BULLET_SHAPE = love.physics.newRectangleShape(5, 5)

-- Bullet class definition

Bullet = class("Bullet", Entity)

function Bullet:initialize(world, pos, vel, speed, damage, isFriendly)

	Entity.initialize(self, world, pos, BULLET_SHAPE)
	
	self.speed = speed
	
	self.body:setLinearVelocity(
		vel.x * self.speed,
		vel.y * self.speed
	)
	
	self.fixture:setSensor(true)
	self.fixture:setUserData({
		class = self,
		id = "bullet",
		friendly = isFriendly
	})
	
	self.friendly = isFriendly

	self.damage = damage
	
	self.lifeTime = 2.5
	self.lifeTimer = 0
	
end

function Bullet:update(dt)

	Entity.update(self, dt)
	
	self.lifeTimer = self.lifeTimer + dt
	
	if self.lifeTimer > self.lifeTime then
	
		self:kill()
	
	end

end

function Bullet:draw()

	if self.friendly then
	
		love.graphics.setColor(COLOR.FRIEND)
	
	else
	
		love.graphics.setColor(COLOR.ENEMY)
	
	end

	Entity.draw(self)

end