-- Enemy class definition

Enemy = class("Enemy", Entity)

function Enemy:initialize(world, pos, shape, manager)

	Entity.initialize(self, world, pos, shape, manager)

	self.body:setType("dynamic")
	
	self.fixture:setUserData({
		class = self,
		id = "enemy"
	})
	
	self.fixture:setGroupIndex(ENTITY_GROUP_ENEMY)
	
	-- how much score to give the player on enemy death
	self.score = 50

end

function Enemy:update(dt)

	Entity.update(self, dt)

end

function Enemy:draw()

	love.graphics.setColor(COLOR.ENEMY)

	Entity.draw(self)
	Entity.drawHealthBar(self)

end
