EntityManager = class("EntityManager")

function EntityManager:initialize(world)

	self.entityList = {}

	self.world = world

	self.player = nil

end

function EntityManager:update(dt)

	for i, entity in pairs(self.entityList) do
	
		entity:update(dt)
		
		if entity:isDead() then
		
			local entityId = entity.fixture:getUserData().id
		
			if entityId ~= "player" and entityId ~= "bullet" then
		
				self.player:increaseScore(entity.score)
				
			elseif entityId == "player" then
			
				instance.done = true
			
			end
		
			table.remove(self.entityList, i)
			entity.body:destroy()
		
		end
	
	end
	
end

function EntityManager:draw()

	for i, entity in pairs(self.entityList) do
	
		entity:draw()
	
	end
	
end

function EntityManager:addEntity(entity)

	table.insert(self.entityList, entity)

end

function EntityManager:getEntity(id)

	return self.entityList[id]

end

function EntityManager:getWorld()

	return self.world

end

function EntityManager:setWorld(world)

	self.world = world

end

function EntityManager:setPlayer(player)

	self.player = player
	self:addEntity(player)

end

function EntityManager:getPlayer()

	return self.player

end