TANK_SHAPE = love.physics.newPolygonShape(
	-20, 0,
	-10, 17.32,
	 10, 17.32,
	 20, 0,
	 10, -17.32,
	-10, -17.32
)

-- Tank class definition

Tank = class("Tank", Enemy)

function Tank:initialize(world, pos, manager)

	Enemy.initialize(self, world, pos, TANK_SHAPE, manager)
	
	self:setHealth(700)

	self.speed = 200
	self.direction = Vector(0, 0)
	
end

function Tank:update(dt)

	Enemy.update(self, dt)
	self:gotoPlayer(dt)

end

function Tank:gotoPlayer(dt)

	local playerPos = self.manager:getPlayer().pos
	
	self.direction.x = (playerPos.x - self.pos.x)
	self.direction.y = (playerPos.y - self.pos.y)
	
	self.direction:normalize()
	
	self:setVelocity(Vector(self.direction.x * self.speed, self.direction.y * self.speed))

end

function Tank:draw()

	Enemy.draw(self)
	Enemy.drawHealthBar(self)
	
end