local tileType = {
	-- two turrets
	(function(world, pos, scrollSpeed, manager, entityList)
		local t1 = Turret(
			world,
			Point(pos.x + 0, pos.y + 50),
			manager
		)
		
		local t2 = Turret(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT - 50)),
			manager
		)
		
		t1:setVelocity(Vector(-scrollSpeed, 0))
		t2:setVelocity(Vector(-scrollSpeed, 0))
		
		table.insert(entityList, t1)
		table.insert(entityList, t2)
		
		manager:addEntity(t1)
		manager:addEntity(t2)
	end),
	
	-- tank
	(function(world, pos, scrollSpeed, manager, entityList)
		local t = Tank(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 2)),
			manager
		)
		
		manager:addEntity(t)
		
		table.insert(entityList, t)
	end),
	
	-- two turrets and a tank: HARDDDDD
	(function(world, pos, scrollSpeed, manager, entityList)
		local t1 = Turret(
			world,
			Point(pos.x + 0, pos.y + 50),
			manager
		)
		
		local t2 = Turret(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT - 50)),
			manager
		)
		
		t1:setVelocity(Vector(-scrollSpeed, 0))
		t2:setVelocity(Vector(-scrollSpeed, 0))
		
		table.insert(entityList, t1)
		table.insert(entityList, t2)
		
		manager:addEntity(t1)
		manager:addEntity(t2)
		
		local t = Tank(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 2)),
			manager
		)
		
		manager:addEntity(t)
		
		table.insert(entityList, t)
	end),
	
	
	-- three drones
	(function(world, pos, scrollSpeed, manager, entityList)
		local d1 = Drone(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 3)),
			manager
		)
		
		local d2 = Drone(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 2)),
			manager
		)
		
		local d3 = Drone(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT * (3 / 4))),
			manager
		)
		
		manager:addEntity(d1)
		manager:addEntity(d2)
		manager:addEntity(d3)
		
		table.insert(entityList, d1)
		table.insert(entityList, d2)
		table.insert(entityList, d3)
		
	end),
	
	-- two drones and a tank
	(function(world, pos, scrollSpeed, manager, entityList)
		local d1 = Drone(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 3)),
			manager
		)
		
		local d2 = Drone(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT * (3 / 4))),
			manager
		)
		
		manager:addEntity(d1)
		manager:addEntity(d2)
		
		table.insert(entityList, d1)
		table.insert(entityList, d2)
		
		local t = Tank(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 2)),
			manager
		)
		
		manager:addEntity(t)
		
		table.insert(entityList, t)
		
	end),
	
	-- two drones and a turret
	(function(world, pos, scrollSpeed, manager, entityList)
		local d1 = Drone(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 3)),
			manager
		)
		
		local d2 = Drone(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT * (3 / 4))),
			manager
		)
		
		manager:addEntity(d1)
		manager:addEntity(d2)
		
		table.insert(entityList, d1)
		table.insert(entityList, d2)
		
		local t = Turret(
			world,
			Point(pos.x + 0, pos.y + (SCREEN_HEIGHT / 2)),
			manager
		)
		
		t:setVelocity(Vector(-scrollSpeed, 0))
		
		table.insert(entityList, t)
		
		manager:addEntity(t)
		
	end),
}

-- Tile class definition

Tile = class("Tile")

function Tile:initialize(world, pos, scrollSpeed, manager)

	self.entities = {}
	self.entitesDead = {}
	
	self.activated = false

	self.world = world
	self.pos = pos
	self.scrollSpeed = scrollSpeed
	self.manager = manager

	self.done = false
	
end

function Tile:update(dt)

	self.pos.x = self.pos.x + (-self.scrollSpeed * dt)

	if not self.activated then
	
		if self.pos.x < SCREEN_WIDTH then
		
			tileType[math.random(#tileType)](self.world, self.pos, self.scrollSpeed, self.manager, self.entities)
			self.activated = true
		
		end
		
		if self.pos.x + 500 < -200 then
		
			self.done = true
		
		end
	
	end	

end