-- Wall class definition

Wall = class("Wall", Entity)

function Wall:initialize(world, pos, size, manager)

	local wallShape = love.physics.newRectangleShape(size.x, size.y)
	
	pos.x = pos.x + (size.x / 2)
	pos.y = pos.y + (size.y / 2)

	Entity.initialize(self, world, pos, wallShape, manager)
	
	self.body:setType("static")
	self.fixture:setUserData({
		id = "wall",
		class = self,
	})
	self.fixture:setGroupIndex(ENTITY_GROUP_WALL)

end

function Wall:update(dt)

	Entity.update(self, dt)

end

function Wall:draw()

	love.graphics.setColor(COLOR.FRIEND)
	Entity.draw(self)

end