Wave = class("Wave")

function Wave:initialize(world, manager)

	self.scrollSpeed = 100

	self.world = world
	self.manager = manager

	self.tileWidth = 500
	
	self.tiles = {}
	
	for i = 1, 100 do
	
		local t = Tile(
			world,
			Point(
				SCREEN_WIDTH + (i * self.tileWidth), 
				0
			), 
			self.scrollSpeed, 
			manager
		)
	
		self.tiles[i] = t
		
	end
	
end

function Wave:update(dt)

	for i = 1, #self.tiles do
	
		self.tiles[i]:update(dt)
	
		if self.tiles[i].done then
		
			self.tiles[i] = Tile(
				self.world,
				Point(
					SCREEN_WIDTH + 500, 
					0
				), 
				self.scrollSpeed, 
				self.manager
			)
		
		end
	
	end

end